import type { PageData } from './index';
import type { ExtendedLang, Lang } from '@diplodoc/components';
export type Langs = (`${Lang}` | Lang | ExtendedLang)[];
export declare function hasLang(l: string, langs: Langs): boolean;
export declare function useAvailableLangs(data: PageData, langs: Langs): Lang[];
